<!--
  Generated template for the RegisterPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header class="transparent">
  <ion-navbar>
    <ion-title><span class="text-theme">Sign Up</span></ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
  <div class="login">
      <ion-list class="form">
        <form [formGroup]="registrationForm">
          <ion-item>
            <ion-label>First Name</ion-label>
            <ion-input [formControl]="registrationForm.controls['firstname']" type="text"></ion-input>
          </ion-item>

          <ion-item *ngIf="!registrationForm.controls.firstname.valid && (registrationForm.controls.firstname.dirty || submitAttempt)">
            <p>Please enter a First Name.</p>
          </ion-item>

          <ion-item>
            <ion-label>Last Name</ion-label>
            <ion-input [formControl]="registrationForm.controls['lastname']" type="text" ></ion-input>
          </ion-item>

          <ion-item *ngIf="!registrationForm.controls.lastname.valid && (registrationForm.controls.lastname.dirty || submitAttempt)">
            <p>Please enter a Last Name.</p>
          </ion-item>

          <ion-item>
            <ion-label>Email</ion-label>
            <ion-input [formControl]="registrationForm.controls['email']" type="email"></ion-input>
          </ion-item>
          
          <ion-item *ngIf="!registrationForm.controls.lastname.valid && (registrationForm.controls.email.dirty || submitAttempt)">
            <p>Please enter an email.</p>
          </ion-item>

          <ion-item *ngIf="!registrationForm.controls.confirm_password.valid && (registrationForm.controls.confirm_password.dirty || submitAttempt)">
            <p>Please re-enter your password.</p>
          </ion-item>

        </form>

        <ion-item>
          <ion-label>Create Password</ion-label>
          <ion-input [(ngModel)]="password" [formControl]="control" [pattern]="partern" type="password"></ion-input>
        </ion-item>
        <password-strength-meter (strengthChange)="strengthChange" 
        [password]="password"></password-strength-meter>

        <p *ngIf="control.invalid && password != null" > <small> Please enter a password with at least one number, uppercase, lowercase letter and symbol. Minimum length 8 characters</small> </p>

        <ion-item>
          <ion-label>Confirm Password</ion-label>
          <ion-input [(ngModel)]="confirm_password" (ionChange)="matching()" type="password"></ion-input>
        </ion-item>
        <!--     <password-strength-meter  [enableFeedback]="show"  [password]="confirm_password"></password-strength-meter>
         -->
      </ion-list>

    <div class="alerts">
      <p *ngIf="doNotMatch"> Passwords do not match </p> 
    </div> 

    <ion-row>
      <ion-col col-2 style="padding: 18px 0 0 20px;">
        <ion-checkbox [(ngModel)]="conduct" (ionChange)="acceptTerms()"></ion-checkbox> 
      </ion-col>
      <ion-col col-10>
        <p class="text-light" style="font-size: 11px; font-weight: normal;">By signing up you accept our <a (click)="pushToTerms()"> Terms of Use</a>, <a (click)="pushConduct()">Code of Conduct</a> and <a (click)="pushPrivacy()">Privacy Policy</a>.</p>
      </ion-col>
    </ion-row>


    <button ion-button full class="bg-theme text-white btn rounded" [disabled]="!conduct" (click)="sendRegistration()">Submit Sign Up</button>

<!--         <div *ngIf="!registrationForm.controls.password.valid && (registrationForm.controls.password.dirty || submitAttempt)">
          
        </div> -->

    <!-- Log in with Facebook -->
      <ion-row>
        <ion-col><button ion-button full color="facebook" class="text-white btn rounded small" (click)="loginFacebook()"><img src="assets/imgs/fb_white.png" width="30px">
                <span>Continue with Facebook</span></button></ion-col>
      </ion-row>
    <div class="text-center text-medium">
      <p (click)="login()">Already registered? Sign in.</p>
    </div>

  </div>
</ion-content>
